Subject: network and floppy parent dirs
From: [email-masked]

9 Dec 1996 13:06:31 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Content-Description: cc:Mail note part
Original-Sender: [email-masked]

This is a bug I reported a couple of weeks ago.  It is not fixed in B17.
   
   foohost:~ $ cd //a      # the floppy, of course
   foohost://A $ cd net
   foohost://A/net $ cd ..
   foohost://A/net $ pwd
   //A/net
   foohost://A/net $ cd
   foohost:~ $ cd //i      # a network drive
   foohost://I $ cd util
   foohost://I/util $ cd ..
   foohost://I/util $ pwd
   //I/util

Notice that "cd .." doesn't work as it should in these cases.  This only 
occurs when ".." is the root of that drive letter -- that is, the following 
works just fine:

   foohost:~ $ cd //i/win95
   foohost://i/win95 $ cd //i/win95/inf
   foohost://i/win95/inf $ pwd
   //i/win95/inf
   foohost://i/win95/inf $ cd //i
   foohost://i/win95/inf $ cd //i/win95
   foohost://i/win95 $ pwd
   //i/win95
   foohost://i/win95 $
   
   I can repeat this on other machines, however I've not heard back if anyone 
   else has this problem.
   
   mld
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".